<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendDestination StructType
 * @subpackage Structs
 */
class SendDestination extends Destination
{
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Vehicles;
    /**
     * The IdentifierAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierAddress
     */
    public $IdentifierAddress;
    /**
     * Constructor method for SendDestination
     * @uses SendDestination::setVehicles()
     * @uses SendDestination::setIdentifierAddress()
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @param \StructType\IdentifierAddress $identifierAddress
     */
    public function __construct(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null, \StructType\IdentifierAddress $identifierAddress = null)
    {
        $this
            ->setVehicles($vehicles)
            ->setIdentifierAddress($identifierAddress);
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfIdentifierVehicle $vehicles
     * @return \StructType\SendDestination
     */
    public function setVehicles(\ArrayType\ArrayOfIdentifierVehicle $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
    /**
     * Get IdentifierAddress value
     * @return \StructType\IdentifierAddress|null
     */
    public function getIdentifierAddress()
    {
        return $this->IdentifierAddress;
    }
    /**
     * Set IdentifierAddress value
     * @param \StructType\IdentifierAddress $identifierAddress
     * @return \StructType\SendDestination
     */
    public function setIdentifierAddress(\StructType\IdentifierAddress $identifierAddress = null)
    {
        $this->IdentifierAddress = $identifierAddress;
        return $this;
    }
}
